import sys
import os
from Actor import Actor
from Menu import Menu
from Config import *

# todo: move this into config 
PAUSE_OPTIONS    = ["Resume","Back to Main Screen","Quit"]
PAUSE_BACKGROUND = os.path.join("data", "bg_pause.bmp")

class PauseScreen(Menu):
    def __init__(self):
        self.items = PAUSE_OPTIONS
        self.offset = (100,200)
        self.bgImg = None
        Menu.__init__(self)
        
    def updateState(self,game_obj):
        if(self.indexCurrent == 0):
            game_obj.state = "PLAY"
            game_obj.g.notifyStateChange()
        if(self.indexCurrent == 1):
            game_obj.state = "MENU"
            game_obj.g.notifyStateChange()
        if(self.indexCurrent == 2):
            sys.exit()
