import os,pygame

from pygame.locals import *
from Config import *

import data

# Thank you chimp tutorial!
def loadImage(imageFile, colorKey=None):
	path = os.path.join(GAME_IMAGES, imageFile)
	path = data.filepath(path)
	try:
		image = pygame.image.load(path)
	except pygame.error, message:
		print "Error loading image:", imageFile
		raise SystemExit, message
	
	# convert for speed and grab rect for collisions
	image = image.convert()
	rect = image.get_rect()
	
	# handle colorKey
	if colorKey is not None:
		if colorKey is -1:
			colorKey = image.get_at((0,0))
		image.set_colorkey(colorKey, RLEACCEL)

	return image, rect
	
def loadSound(name):
	path = os.path.join(GAME_SOUNDS, name)
	path = data.filepath(path)
	class NoneSound:
		def play(self): pass
    	if not pygame.mixer or not pygame.mixer.get_init():
        	return NoneSound()
    
    	try:
        	sound = pygame.mixer.Sound(path)
    	except pygame.error, message:
        	print 'Cannot load sound:', path
        	raise SystemExit, message
    	return sound
